Package Details: huawei-wmi-dkms 3.4-2

Git Clone URL: https://aur.archlinux.org/huawei-wmi-dkms.git (read-only, click to copy)
Package Base: huawei-wmi-dkms
Description: Huawei WMI laptop extras driver
Upstream URL: https://github.com/aymanbagabas/Huawei-WMI
Licenses: GPLv2
Submitter: ylxdzsw
Maintainer: ylxdzsw
Last Packager: ylxdzsw
Votes: 2
Popularity: 0.062110
First Submitted: 2019-08-08 11:55
Last Updated: 2020-01-09 04:33

Pinned Comments

ylxdzsw commented on 2020-01-06 07:59

Note that you probably don't need this package. Linux kernel >= 5.0 already contains v2.0 of this driver, and Linux >= 5.5 contains v3.3 of it. This package currently hold v3.4, which requires kernel >= 5.1

Latest Comments

ylxdzsw commented on 2020-01-09 04:29

@bruceutut Thanks for the suggestion. I copied the script from https://github.com/aymanbagabas/Huawei-WMI/releases but I agree with you. I'll remove it.

bruceutut commented on 2020-01-08 09:15

Thanks for maintaining this. This package is a dkms driver, and it does not use linux-headers like /usr/src/linux in build process. So you might not add linux-headers to the make depends array.

dkms will handle everything if linux-headers installed.

ylxdzsw commented on 2020-01-06 07:59

Note that you probably don't need this package. Linux kernel >= 5.0 already contains v2.0 of this driver, and Linux >= 5.5 contains v3.3 of it. This package currently hold v3.4, which requires kernel >= 5.1

ylxdzsw commented on 2019-08-08 11:56

I didn't wrote the script - I just copied it from the repo: https://github.com/aymanbagabas/Huawei-WMI/releases